Floor Class Reference
Financial instruments

Concrete floor class. More...

`#include <ql/instruments/capfloor.hpp>`

Inheritance diagram for Floor:
[legend]

## Public Member Functions

| Floor (const Leg &floatingLeg, const std::vector< Rate > &exerciseRates)
Public Member Functions inherited from CapFloor
| CapFloor (Type type, const Leg &floatingLeg, const std::vector< Rate > &capRates, const std::vector< Rate > &floorRates)
| CapFloor (Type type, const Leg &floatingLeg, const std::vector< Rate > &strikes)
Rate | atmRate (const YieldTermStructure &discountCurve) const
Volatility | impliedVolatility (Real price, const Handle< YieldTermStructure > &disc, Volatility guess, Real accuracy=1.0e-4, Natural maxEvaluations=100, Volatility minVol=1.0e-7, Volatility maxVol=4.0, VolatilityType type=ShiftedLognormal, Real displacement=0.0) const
| implied term volatility
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
Type | type () const
const std::vector< Rate > & | capRates () const
const std::vector< Rate > & | floorRates () const
const Leg & | floatingLeg () const
Date | startDate () const
Date | maturityDate () const
boost::shared_ptr< FloatingRateCoupon > | lastFloatingRateCoupon () const
boost::shared_ptr< CapFloor > | optionlet (const Size n) const
| Returns the n-th optionlet as a new CapFloor with only one cash flow.
Public Member Functions inherited from Instrument
virtual void | fetchResults (const PricingEngine::results *) const
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from CapFloor
enum | Type { Cap, Floor, Collar }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | setupExpired () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Instrument
boost::shared_ptr< PricingEngine > | engine_
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Concrete floor class.